#include "attenuation.h"

acomplex
dielectric_K(afloat er, afloat ei)
{
  acomplex K;
  afloat denom = er*er + 4*er + 4 + ei*ei;
  K.r = (er*er + er - 2 + ei*ei) / denom;
  K.i = 3 * ei / denom;
  return K;
}

afloat
dielectric_parameter(afloat er, afloat ei)
{
  acomplex K = dielectric_K(er, ei);
  return (K.r*K.r + K.i*K.i);
}
